Upsert a venue API key
curl --request PUT \
--url https://api.agg.market/venue-keys \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-app-id: <api-key>' \
--data '
{
"venue": "kalshi",
"credentials": {
"keyId": "<string>",
"privateKey": "<string>"
}
}
'import requests
url = "https://api.agg.market/venue-keys"
payload = {
"venue": "kalshi",
"credentials": {
"keyId": "<string>",
"privateKey": "<string>"
}
}
headers = {
"x-app-id": "<api-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'x-app-id': '<api-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({venue: 'kalshi', credentials: {keyId: '<string>', privateKey: '<string>'}})
};
fetch('https://api.agg.market/venue-keys', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"venue": "kalshi",
"updatedAt": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Users
Upsert a venue API key
Stores (or replaces) the authenticated user’s encrypted venue credentials.
PUT
/
venue-keys
Upsert a venue API key
Authorizations
Your application ID. Required for all app-tier and user-tier routes.
JWT access token returned by POST /auth/verify. Required for user-tier routes.
Body
application/json